| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Macros | Functions
IP: RITimer register block and driver
IP drivers: Common drivers used on multiple NXP devices

## Detailed Description

Repetitive Interrupt Timer

## Data Structures
struct | IP_RITIMER_001_T
| Repetitive Interrupt Timer register block structure. More...

## Macros
#define | RIT_CTRL_INT ((uint32_t) (1))
| RITIMER register support bitfields and mask.
#define | RIT_CTRL_ENCLR ((uint32_t) _BIT(1))
#define | RIT_CTRL_ENBR ((uint32_t) _BIT(2))
#define | RIT_CTRL_TEN ((uint32_t) _BIT(3))

## Functions
void | IP_RIT_Init (IP_RITIMER_001_T *pRITimer)
| Initialize the RIT.
void | IP_RIT_DeInit (IP_RITIMER_001_T *pRITimer)
| DeInitialize the RIT.
STATIC INLINE void | IP_RIT_Enable (IP_RITIMER_001_T *pRITimer)
| Enable Timer.
STATIC INLINE void | IP_RIT_Disable (IP_RITIMER_001_T *pRITimer)
| Disable Timer.
STATIC INLINE void | IP_RIT_TimerDebugEnable (IP_RITIMER_001_T *pRITimer)
| Timer Enable on debug.
STATIC INLINE void | IP_RIT_TimerDebugDisable (IP_RITIMER_001_T *pRITimer)
| Timer Disable on debug.
IntStatus | IP_RIT_GetIntStatus (IP_RITIMER_001_T *pRITimer)
| Check whether interrupt flag is set or not.
STATIC INLINE void | IP_RIT_SetCOMPVAL (IP_RITIMER_001_T *pRITimer, uint32_t val)
| Set a tick value for the interrupt to time out.
STATIC INLINE void | IP_RIT_EnableCTRL (IP_RITIMER_001_T *pRITimer, uint32_t val)
| Enables or clears the RIT or interrupt.
STATIC INLINE uint32_t | IP_RIT_GetCounter (IP_RITIMER_001_T *pRITimer)
| Get the RIT Counter value.

## Macro Definition Documentation

#define RIT_CTRL_ENBR ((uint32_t) _BIT(2))

Set timer enable on debug

Definition at line 76 of file ritimer_001.h.

#define RIT_CTRL_ENCLR ((uint32_t) _BIT(1))

Set timer enable clear to 0 when the counter value equals the masked compare value

Definition at line 74 of file ritimer_001.h.

#define RIT_CTRL_INT ((uint32_t) (1))

RITIMER register support bitfields and mask.

Set by H/W when the counter value equals the masked compare value

Definition at line 72 of file ritimer_001.h.

#define RIT_CTRL_TEN ((uint32_t) _BIT(3))

Set timer enable

Definition at line 78 of file ritimer_001.h.

## Function Documentation

void IP_RIT_DeInit | ( | IP_RITIMER_001_T * | pRITimer | ) |

DeInitialize the RIT.

Parameters

  pRITimer | : RIT peripheral selected

Returns
  None

Definition at line 63 of file ritimer_001.c.

STATIC INLINE void IP_RIT_Disable | ( | IP_RITIMER_001_T * | pRITimer | ) |

Disable Timer.

Parameters

  pRITimer | : RIT peripheral selected

Returns
  None

Definition at line 109 of file ritimer_001.h.

STATIC INLINE void IP_RIT_Enable | ( | IP_RITIMER_001_T * | pRITimer | ) |

Enable Timer.

Parameters

  pRITimer | : RIT peripheral selected

Returns
  None

Definition at line 99 of file ritimer_001.h.

STATIC INLINE void IP_RIT_EnableCTRL | ( | IP_RITIMER_001_T * | pRITimer,
|  | uint32_t | val
| ) |  |

Enables or clears the RIT or interrupt.

Parameters

  pRITimer | : RIT peripheral selected
  val | : RIT to be set, one or more RIT_CTRL_* values

Returns
  None

Definition at line 160 of file ritimer_001.h.

STATIC INLINE uint32_t IP_RIT_GetCounter | ( | IP_RITIMER_001_T * | pRITimer | ) |

Get the RIT Counter value.

Parameters

  pRITimer | : RIT peripheral selected

Returns
  the counter value

Definition at line 170 of file ritimer_001.h.

IntStatus IP_RIT_GetIntStatus | ( | IP_RITIMER_001_T * | pRITimer | ) |

Check whether interrupt flag is set or not.

Parameters

  pRITimer | : RIT peripheral selected

Returns
  Current interrupt status, could be SET or UNSET

Definition at line 69 of file ritimer_001.c.

void IP_RIT_Init | ( | IP_RITIMER_001_T * | pRITimer | ) |

Initialize the RIT.

Parameters

  pRITimer | : RIT peripheral selected

Returns
  None

Definition at line 51 of file ritimer_001.c.

STATIC INLINE void IP_RIT_SetCOMPVAL | ( | IP_RITIMER_001_T * | pRITimer,
|  | uint32_t | val
| ) |  |

Set a tick value for the interrupt to time out.

Parameters

  pRITimer | : RIT peripheral selected
  val | : value (in ticks) of the interrupt to be set

Returns
  None

Definition at line 149 of file ritimer_001.h.

STATIC INLINE void IP_RIT_TimerDebugDisable | ( | IP_RITIMER_001_T * | pRITimer | ) |

Timer Disable on debug.

Parameters

  pRITimer | : RIT peripheral selected

Returns
  None

Definition at line 130 of file ritimer_001.h.

STATIC INLINE void IP_RIT_TimerDebugEnable | ( | IP_RITIMER_001_T * | pRITimer | ) |

Timer Enable on debug.

Parameters

  pRITimer | : RIT peripheral selected

Returns
  None

Definition at line 120 of file ritimer_001.h.